InvalidSearchFilterException (Java Platform SE 8 )
Keywords: javax.naming.directory.InvalidSearchFilterException class
Date: 2026-04-17

compact3
javax.naming.directory

## Class InvalidSearchFilterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.InvalidSearchFilterException

- All Implemented Interfaces:
    Serializable

      public class InvalidSearchFilterException
      extends NamingException

  This exception is thrown when the specification of a search filter is invalid. The expression of the filter may be invalid, or there may be a problem with one of the parameters passed to the filter.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidSearchFilterException()` Constructs a new instance of InvalidSearchFilterException.
    `InvalidSearchFilterException(String msg)` Constructs a new instance of InvalidSearchFilterException with an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidSearchFilterException

          public InvalidSearchFilterException()

      Constructs a new instance of InvalidSearchFilterException. All fields are set to null.

    - #### InvalidSearchFilterException

          public InvalidSearchFilterException(String msg)

      Constructs a new instance of InvalidSearchFilterException with an explanation. All other fields are set to null.
      Parameters:
        `msg` - Detail about this exception. Can be null.
      See Also:
        `Throwable.getMessage()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.